REM **********************************************************************
REM Description:        Deploys reports of a specified folder to the Microsoft Report Server 
REM Parameters:         See inside cmd file
REM After execution you may have to run the SQL script 'SetReportsDeployedTrue.sql' 
REM **********************************************************************

@echo off
::Script Variables
SET RS="C:\Program Files (x86)\Microsoft SQL Server\130\Tools\Binn\RS.EXE"
SET SCRIPTFILE=C:\Data\Scripts\DeployReports.rss
rem specify the path were the reports are located (sub paths are included)
SET REPORTPATH="C:\Data\Reports"
rem set REPORTNAME="reportnamewithoutextension" in order to to deploy a single report
SET REPORTNAME=""
SET WebServiceVirtDir=http://localhost/ReportServer_EMPIRUM
SET TARGETROOT="Matrix42"
SET TARGETFOLDER="ImagoVerum"
SET DATASOURCE="Matrix42_LocationDB"
SET LOGFILE="DeployReports.log"
SET TIMEOUT=60

::Clear Log file
IF EXIST %logfile% DEL %logfile%
 
::Run Script
%RS% -i "%SCRIPTFILE%" -s %WebServiceVirtDir% -l %TIMEOUT% -v PARENTFOLDER=%TARGETROOT%/%TARGETFOLDER% -v RDLPATH=%REPORTPATH% -v RDLNAME=%REPORTNAME% -v DATADEFINITION=%DATASOURCE% -v LOGFILE=%LOGFILE%
ECHO. >>%LOGFILE%
 
ECHO. >>%LOGFILE%
ECHO Finished Load at %DATE% %TIME% >>%LOGFILE%
ECHO. >>%LOGFILE%
